Subject: Re: Last Call: Transmission of IPv6 Packets over IEEE 1394 Networ ks to Proposed Standard

From: David Wooten <[email-masked]>
Date: Thu, 1 Mar 2001 09:09:26 -0800

Peter,

I don't think that you are in the minority.  I think that getting the
efficiency improvements for 1934 in are worth a slight delay in progressing
Draft-IETF-IPNGWG-1394-01 to proposed standard status.  Only reason that I
wasn't speaking up before was that I thought that you were doing a fine job
presenting the arguments.

David Wooten

> -----Original Message-----
> From: Peter Johansson [mailto:[email-masked]]
> Sent: Wednesday, February 28, 2001 5:31 PM
> To: IP1394
> Subject: Re: Last Call: Transmission of IPv6 Packets over IEEE 1394
> Networ ks to Proposed Standard
>
>
> Hello, Bill! Thanks for sharing some actual implementation experience.
>
> At 11:23 AM 2/28/01, Bill Nowicki wrote:
>
> >But host interface problems should be fixed by fixing the host
> interfaces.
> >For example, doing some of the OS or interface chip
> >optimizations that Ethernet has been doing for many years. Making the
> >protocols more complicated to work around host interface
> limitations seems
> >a bad choice.
>
> Depending upon one's frame of mind, it's a blessing or a curse that IEEE
> 1394 is neither 100% bus nor 100% network. Pragmatically, it is
> what it is.
> Which is why I question your observation that efficiency problems are
> principally within the host interface.
>
> If IEEE 1394 were used for nothing but network traffic, one would expect
> the host interface to be optimized for that traffic---just as
> Ethernet NICs
> have been. End of story.
>
> But the memory-mapped model in Serial Bus works very well for a lot of
> applications, many of them not inherently network applications. The
> "practical throughput" I alluded to in an earlier message is the
> informally
> reported result observed by a major operating systems vendor for
> SBP-2 mass
> storage devices. If we can get impressive throughput for these
> devices, why
> not for Internet Protocol transported over IEEE 1394?
>
> I think an assertion that a protocol suited to IEEE 1394 would of
> necessity
> be "more complicated" may not be true. At the least, it's backed up no
> better than my assertions that a protocol more closely tied to a
> Serial Bus
> DMA architecture would necessarily be "more efficient".
>
> I agree with a lot of what Myron has to say, namely that the exact causes
> of inefficiency have not been adequately measured. I remain of
> the opinion
> that there is enough uncertainty to warrant a reexamination of this
> matter---but I can see that I am in a minority position (at least with
> respect to delaying the advance of Draft-IETF-IPNGWG-1394-01 to Proposed
> Standard).
>
>
> Regards,
>
> Peter Johansson
>
> Congruent Software, Inc.
> 98 Colorado Avenue
> Berkeley, CA  94707
>
> (510) 527-3926
> (510) 527-3856 FAX
>
> [email-masked]
>
>

---

From: Bob Hinden <[email-masked]>
Date: Thu, 1 Mar 2001 09:54:47 -0800

If the proposed changes are made, will there be any issue with using both
IPv4  (using the current approach) and IPv6 (using the new approach) at the
same time?

If so, there will be issues with having the new devices with IPv6 and
legacy devices with just IPv4.  There may be no choice but to have IPv6
support both modes.

Bob

---

From: hunter <[email-masked]>
Date: Sat, 3 Mar 2001 18:44:37 -0800

Peter,

At 05:31 PM 2/28/01 -0800, Peter Johansson wrote:
  ...
>I can see that I am in a minority position (at least with respect to
>delaying the advance of Draft-IETF-IPNGWG-1394-01 to Proposed Standard).

On "minority":  This debate seems to be between the IP folks and the 1394
folks (haven't yet seen anyone break rank).  What is the ratio of these two
groups in the IP over 1394 working group?

Hunter